{% extends 'base.html.twig' %}

{% block stylesheets %}
    {{ parent() }}
    {{ encore_entry_link_tags('person_management/follow_up/overview') }}
{% endblock %}

{% block javascripts %}
    {{ parent() }}
    {{ encore_entry_script_tags('person_management/follow_up/overview') }}
{% endblock %}

{% block mainHeader %}
    <div class="container-fluid d-flex bg-white justify-content-start px-4 py-4">
        <span class="text-primary fs-5 align-self-center">Wiedervorlagen <span class="text-secondary">({{ occurrences|length }})</span></span>
    </div>
{% endblock %}

{% block main %}
    <div class="container-lg mt-4">
        <div class="mdc-card mb-4">
            {% include 'person_management/component/follow_up/follow_up_list_component.html.twig' with {
                'idPrefix': 'follow_up_',
                'listItems': occurrences,
                'showActionButton': true,
                'noEntriesText': 'Aktuell liegen keine Wiedervorlagen vor',
                'massOperation': false,
                'pagination': true,
                'sortable': true
            } only %}
        </div>
    </div>
{% endblock %}
